<script setup>
import { ref } from "vue";
import { useRoute } from "vue-router";
import axios from "axios";

let arr_dcheroes = ref([]);
//El objeto route nos servira para extraer el valor de la ruta
const route = useRoute();

//Usando el objeto route para recuperar
let tipo = route.query.type;

async function llenaHeroes() {
  //Peticion GET
  await axios.get("/Heroe/" + tipo).then((response) => {
    arr_dcheroes.value = response.data.data;
  });
}

/*******************************
* Llamado a la API  al entarar*
*******************************/
llenaHeroes();


</script>

<template>
  <section class="main-container" v-for="item in arr_dcheroes" :key="item.id">

    <article class="card">
      <img class="card-image" :src="item.imagen" alt="Imagen de ejemplo" />
      <div class="card-content">
        <h2 class="card-title">{{ item.superhero }}</h2>
        <p class="card-description">
          {{ item.publisher }}
        </p>
        <a class="card-button" href="#">Ver más</a>
      </div>
    </article>

  </section>
</template>

<style scoped>

</style>
